Subject: Re: bug#47424: 28.0.50; enable-theme shows an empty list

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 27 Jun 2022 10:36:31 +0200

Eli Zaretskii <[email-masked]> writes:

> This (a) turns the table on what we currently do, since currently
> load-theme can optionally enable the theme, while you propose to do it
> the other way around; (b) rocks the very delicate boat of how themes
> are enable, disabled, and prioritized and how they interact with face
> setup, so if we go that way, we should expect quite a rocky ride
> (suggested reading: custom.el).  Is it really worth that?

I think the current separation is vaguely useful -- i.e., enable-theme
limits to the currently loaded themes, while load-theme can load and
enable any themes.

So I agree with Eli that we shouldn't change this, and I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no